For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETList Calls
      • POSTCreate Outbound Call
      • POSTCreate Web Call
      • GETGet Call
      • POSTEnd Call
      • GETGet Call Recording
      • GETGet Call Transcript
      • GETStream Call Transcript
      • GETList Calls For Number
LogoLogo
HomeGet API key
API Referencecalls

Get Call Transcript

GET
https://api.agentphone.ai/v1/calls/:call_id/transcript
GET
/v1/calls/:call_id/transcript
1const url = 'https://api.agentphone.ai/v1/calls/call_id/transcript';
2const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}

Get the full transcript for a call.

Returns the complete, ordered transcript regardless of the webhook contextLimit setting. Each entry contains the user utterance and the corresponding agent response (when available).

Was this page helpful?
Previous

Stream Call Transcript

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

call_idstringRequired

Response

Successful Response

Errors

422
Unprocessable Entity Error